# ReflectionExtension::getName

(PHP 5, PHP 7)

ReflectionExtension::getName — Gets extension name

### Description

public ReflectionExtension::getName ( void ) : string

Gets the extensions name.

### Parameters

This function has no parameters.

### Return Values

The extensions name.

### Examples

Example #1 ReflectionExtension::getName() example

`<?php
$ext = new ReflectionExtension('mysqli');
var_dump($ext->getName());
?>`

The above example will output something similar to:

    string(6) "mysqli"

### See Also

- ReflectionExtension::getClassNames() - Gets class names